Get the items in the Elasticsearch resource keystore
- GET /deployments/{deployment_id}/elasticsearch/{ref_id}/keystore
Fetches the current fields and metadata (but not the values) of the keystore for the Elasticsearch resource.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one)
Responses
The contents of the Elasticsearch keystore, with values redacted
-
secretsmap string to KeystoreSecretrequired -
List of secrets
-
<string>KeystoreSecret -
valueobject -
Value of this setting. This can either be a string or a JSON object that is stored as a JSON string in the keystore. NOTE: When the keystore secret is unspecified, it is removed.
-
as_fileboolean -
Stores the keystore secret as a file. The default is false, which stores the keystore secret as string when value is a plain string, or true when value is an object.
-
is_allowlistedboolean -
Read-only field, ignored on write. Only returned when calling the set-deployment-es-resource-keystore endpoint with
validate_only=true. True if this setting/value pair is allowlisted (the allowlist is for informational purposes). -
is_reloadableboolean -
Read-only field, ignored on write. Only returned when calling the set-deployment-es-resource-keystore endpoint with
validate_only=true. True if this setting is reloadable, or if false it requires a cluster restart.
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
We have failed you. (code: deployments.metadata_internal_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response